/* General Styles */
.hero-block {
    position: relative;
}
.hero-block .block-inner {
    position: relative;
}
.hero-overlay-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 2;
  height: 100%;
  margin: 0 auto;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.hero-overlay-container-inner {
  max-width: 943px;
  width: 100%;
}
.hero-overlay-container-inner img {
    margin: 0 auto;
    max-width: clamp(200px, 15vw, 280px);
}
.hero-block :is(h1, h2, h3, h4, h5, h6) {
    color: #fff;
    margin-bottom: 0;
}
.hero-block h1, h2.large-heading {

}
.hero-block.hero-height-full-screen h1 {

}
.hero-block::before {
    background: rgba(13, 65, 79, 0.5);
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

/* Height */
/* .hero-height-full-screen .hero-image-wrap img {
    aspect-ratio: 1920 / 1080;
    height: 100%;
    width: 100%;
    object-fit: cover;
    min-height: 550px;
    max-height: clamp(550px, 100vh, 1080px);
    display: block;
} */
.hero-height-full-screen .hero-image-wrap img {
    /*aspect-ratio: 1920 / 880;
    height: auto;
    width: 100%;
    object-fit: cover;
    min-height: 550px;
    max-height: clamp(550px, calc(100svh - 200px), 880px);
    display: block;*/

aspect-ratio: 1920/1080;
  height: 100%;
  max-height: 100vh;
  width: 100%;
  object-fit: cover;
  display: block;
}
}
.hero-height-medium .hero-image-wrap img {
    aspect-ratio: 1920 / 613;
    width: 100%;
    height: 100%;
    object-fit: cover;
    min-height: 450px;
    max-height: 613px;
    display: block;
}
.hero-height-narrow .hero-image-wrap img {
    aspect-ratio: 1920 / 520;
    width: 100%;
    height: 100%;
    object-fit: cover;
    min-height: 450px;
    max-height: 520px;
    display: block;
}


/* Content alignment */
.hero-content-alignment-center .hero-overlay-container {
	text-align: center;
}
.hero-content-alignment-left .hero-overlay-container {
	text-align: left;
}
.hero-content-alignment-right .hero-overlay-container {
	text-align: right;
}

.hero-content-alignment-center .hero-buttons-container-inner, .hero-content-alignment-center .block-inner {
	justify-content: center;
}
.hero-content-alignment-left .hero-buttons-container-inner, .hero-content-alignment-left .block-inner {
	justify-content: flex-start;
}
.hero-content-alignment-right .hero-buttons-container-inner, .hero-content-alignment-right .block-inner {
	justify-content: flex-end;
}


/* Buttons */
.hero-buttons-container {
	margin-top: 40px;
}
.hero-buttons-container-inner {
	display: flex;
}
.hero-buttons-container-inner button {
	margin-left: 7.5px;
	margin-right: 7.5px;
}
.hero-buttons-container-inner button:first-of-type {
	margin-left: 0;
}
.hero-buttons-container-inner button:last-of-type {
	margin-right: 0;
} 

@media all and (max-width: 1780px) {
.hero-block h1, h2.large-heading {

}
.hero-block.hero-height-full-screen h1 {

}
}
@media all and (max-width: 1640px) {
.hero-block h1, h2.large-heading {

}
.hero-block.hero-height-full-screen h1 {

}
}
@media all and (max-width: 1450px) {
.hero-block h1, h2.large-heading {

}
.hero-block.hero-height-full-screen h1 {

}
}
@media all and (max-width: 1366px) {
.hero-block h1, h2.large-heading {

}
.hero-block.hero-height-full-screen h1 {

}
}
@media all and (max-width: 768px) {
.hero-block h1, h2.large-heading {

}
.hero-block.hero-height-full-screen h1 {

}
.hero-height-full-screen .hero-image-wrap img {
    min-height: 475px;
    max-height: clamp(475px, calc(100svh - 200px), 880px);
}
.hero-overlay-container-inner img {
    max-width: clamp(180px, 15vw, 280px);
}
}

/* Image */

/* Video */
/*https://stackoverflow.com/a/51619871*/
.banner-video {
    height: 100vh; /*old browser support*/
  height: 100svh;
  overflow: hidden;
  position: relative;
  min-height: 450px;
  pointer-events: none;
}
.banner-video video {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Ensures the video covers the container while maintaining aspect ratio */
}
.banner-video iframe {
    width: 100%;
    height: calc((100vw*9) /16);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
 @media (max-aspect-ratio: 16/9) {
    .banner-video{
      width: 100%;
      overflow: hidden;
    }

    .banner-video iframe{
      width: calc((100vh*16)/9);
      height: 100vh; /*old browser support*/
      height: 100svh;
    }
}

/* Slider */
.hero-block.hero-type-slider::after {
    display: none;
}
.hero-block.hero-type-slider .hero-slider-container li::before {
    background: rgba(13, 65, 79, 0.5);
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
        z-index: 1;
}

/* Slider nav */
.hero-slider-nav-outer {
    max-width: 1920px;
    margin: 0 auto;
    position: absolute;
    left: 0;
    right: 0;
    z-index: 1;
    pointer-events: none;
    top: 0;
    bottom: 0;
    display: flex;
    align-items: center;
}
.hero-slider-nav-inner {
    line-height: 0;
    width: 100%;
}
#prev-hero, #next-hero {
    position: relative;
    padding: 0;
    border: none;
        pointer-events: all;
    background: none;
    outline: none;
-webkit-animation: fadein ease 1.4s;
animation: fadein ease 1.4s;
}
#prev-hero {
    position: relative;
    left: 30px;
}
#next-hero {
    float: right;
    position: relative;
    right: 30px;
}
#prev-hero svg, #next-hero svg {
    height: 60px;
    opacity: 0.6;
    color: #fff;
	transition: all 0.3s ease;
    display: block;
}
#prev-hero svg:hover, #next-hero svg:hover {
    opacity: 1;
}


/* dots navigation */
.hero-block .tns-nav {
    text-align: center;
    position: absolute;
    bottom: 15px;
    left: 0;
    right: 0;
}
.hero-block .tns-nav button {
    border-radius: 30px;
    width: 13px;
    height: 13px;
    padding: 0;
    background: none;
    border: 1px solid #FFF;
    margin-left: 4px;
    margin-right: 4px;
}
.hero-block .tns-nav button.tns-nav-active {
    background: #fff;
}





.scroll-container {
    z-index: 2;
    position: absolute;
    bottom: 25px;
    width: 100%;
    height: 85px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.circle-container {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 85px;
    width: 85px;
}
        .circle-text {
            font-size: 13px;
            text-align: center;
            color: #f7f5ec;
height: 100%;
  width: 100%;
        }
.circle-text div {
    height: 100% !important;
    width: 100%;
}
.circle-container svg {
height: 22px;
  position: absolute;
}
        @keyframes bounce {
            0%, 20%, 50%, 80%, 100% {
                transform: translateY(0);
            }
            40% {
                transform: translateY(-8px);
            }
            60% {
                transform: translateY(-4px);
            }
        }
        .circle-container:hover svg {
            animation: bounce 1s infinite;
        }

#content {
  position: absolute;
  bottom: 71px;
}